/*****************************************************************************
 * FvwmVoice.h - Header for FvwmVoice.                                       *
 *               By Nir Arzooni & Israel Diamand.                            *
 *****************************************************************************/

#include "../../libs/fvwmlib.h"     

#ifdef BROKEN_SUN_HEADERS
#include "../../fvwm/sun_headers.h"
#endif

#ifdef NEEDS_ALPHA_HEADER
#include "../../fvwm/alpha_header.h"
#endif /* NEEDS_ALPHA_HEADER */

#define FAIL (-1)
#define SUCCESS 1
#define ONETIME '1'
#define FOREVER 'f'
#define W_LEN 20
#define C_LEN 100
#define NUM_OF_ENTRIES 26
#define SLEEP_TIME 500000
#define XTERM "/usr/bin/X11/xterm"
#define GEOM "67x8-580+830"
#define FONT "10x20"
#define BG_COLOR "maroon"
#define FG_COLOR "white"
#define LISTEN "/users/tniris/bin/listen"

typedef struct command {
   int times;              /* ONETIME or FOREVER */
   char word[W_LEN];       /* the key word       */
   char comm[C_LEN];       /* the fvwm2 command  */
   struct command *next;   /* the next item      */
} COMM;


/* prtotype: */
void DeadPipe(int nonsense);
int hash (char *word);
int newitem(int times, char* word, char* comm);
COMM* find(char* word);
void print_the_hash();
void read_config_file(char *config_file);
void Loop();
void check_focus_change();
int read_from_listen();
